cdac.medinfo.sdk.hl7282.baselibs.segments

## Class DB1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.DB1

- All Implemented Interfaces:
    ISegment

      public class DB1
      extends Segment

  DB1 - Disability Segment.

  The disability segment contains information related to the disability of a person.

  Represents an HL7 DB1 message segment. This segment has the following fields:

  DB1-1: Set ID - DB1 (SI)Required
  DB1-2: Disabled Person Code (CWE)Optional
  DB1-3: Disabled Person Identifier (CX)Optional
  DB1-4: Disabled Indicator (ID)Optional
  DB1-5: Disability Start Date (DT)Optional
  DB1-6: Disability End Date (DT)Optional
  DB1-7: Disability Return to Work Date (DT)Optional
  DB1-8: Disability Unable to Work Date (DT)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DB1()` Constructs the DB1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDisabledPersonIdentifier(CX objtempDisabledPersonIdentifier)` Set the Disabled Person Identifier.
    `void` | `addDisabledPersonIdentifier(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Disabled Person Identifier.
    `DT` | `getDisabilityEndDate()` Retrieves the Disability End Date.
    `DT` | `getDisabilityReturnToWorkDate()` Retrieves the Disability Return To Work Date.
    `DT` | `getDisabilityStartDate()` Retrieves the Disability Start Date.
    `DT` | `getDisabilityUnableToWorkDate()` Retrieves the Disability Unable To Work Date.
    `ID` | `getDisabledIndicator()` Retrieves the Disabled Indicator.
    `CWE` | `getDisabledPersonCode()` Retrieves the Disabled Person Code.
    `ISingleCollection<CX>` | `getDisabledPersonIdentifier()` Retrieves the Disabled Person Identifier.
    `SI` | `getSetID_DB1()` Retrieves the Set ID DB1.
    `void` | `setDisabilityEndDate(DT objdisabilityEndDate)` Set the Disability End Date.
    `void` | `setDisabilityEndDate(java.lang.String strDisabilityEndDate)` Set the Disability End Date.
    `void` | `setDisabilityReturnToWorkDate(DT objdisabilityReturnToWorkDate)` Set the Disability Return To Work Date.
    `void` | `setDisabilityReturnToWorkDate(java.lang.String strDisabilityReturnToWorkDate)` Set the Disability Return To Work Date.
    `void` | `setDisabilityStartDate(DT objDisabilityStartDate)` Set the Disability Start Date.
    `void` | `setDisabilityStartDate(java.lang.String strDisabilityStartDate)` Set the Disability Start Date.
    `void` | `setDisabilityUnableToWorkDate(DT objdisabilityUnableToWorkDate)` Set the Disability Unable To Work Date.
    `void` | `setDisabilityUnableToWorkDate(java.lang.String strDisabilityUnableToWorkDate)` Set the Disability Unable To Work Date.
    `void` | `setDisabledIndicator(ID objdisabledIndicator)` Set the Disabled Indicator.
    `void` | `setDisabledIndicator(java.lang.String strDisabledIndicator)` Set the Disabled Indicator.
    `void` | `setDisabledPersonCode(CWE objdisabledPersonCode)` Set the Disabled Person Code.
    `void` | `setDisabledPersonCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Disabled Person Code.
    `void` | `setDisabledPersonIdentifier(ISingleCollection<CX> objDisabledPersonIdentifierList)` Set the Disabled Person Identifier.
    `void` | `setSetID_DB1(SI objsetID_DB1)` Set the Set ID DB1.
    `void` | `setSetID_DB1(java.lang.String strSetID_DB1)` Set the Set ID DB1.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DB1

          public DB1()

      Constructs the DB1 segment.

  - ### Method Detail

    - #### getDisabilityEndDate

          public DT getDisabilityEndDate()

      Retrieves the Disability End Date. This field specify the ending date of the person's disability.
      Returns:
        String - disabilityEndDate

    - #### getDisabilityReturnToWorkDate

          public DT getDisabilityReturnToWorkDate()

      Retrieves the Disability Return To Work Date. This field indicate the authorize date on which the patient can return to work for a specified disability case.
      Returns:
        String - disabilityReturnToWorkDate

    - #### getDisabilityStartDate

          public DT getDisabilityStartDate()

      Retrieves the Disability Start Date. This field specify the date of the person become disable.
      Returns:
        String - disabilityStartDate

    - #### getDisabilityUnableToWorkDate

          public DT getDisabilityUnableToWorkDate()

      Retrieves the Disability Unable To Work Date. this field specify the first date in the date span that the patient is unable to work due to disability.
      Returns:
        String - disabilityUnableToWorkDate

    - #### getDisabledIndicator

          public ID getDisabledIndicator()

      Retrieves the Disabled Indicator. This field indicates if the person's visit is a disability visit.
      Returns:
        String - disabledIndicator

    - #### getDisabledPersonCode

          public CWE getDisabledPersonCode()

      Retrieves the Disabled Person Code. This field indicates person to which the disability information relates in the message.
      Returns:
        String - disabledPersonCode

    - #### getDisabledPersonIdentifier

          public ISingleCollection<CX> getDisabledPersonIdentifier()

      Retrieves the Disabled Person Identifier. This field specify the identifier (or identifiers) for the person whose disability information is sent on the segment.
      Returns:
        ISingleCollection - disabledPersonIdentifier

    - #### getSetID_DB1

          public SI getSetID_DB1()

      Retrieves the Set ID DB1. This field contains the number that identify this transaction.
      Returns:
        String - setID_DB1

    - #### setSetID_DB1

          public void setSetID_DB1(java.lang.String strSetID_DB1)

      Set the Set ID DB1. This field contains the number that identify this transaction.
      Parameters:
        `strSetID_DB1` - Used for SetID_DB1.

    - #### setSetID_DB1

          public void setSetID_DB1(SI objsetID_DB1)

      Set the Set ID DB1. This field contains the number that identify this transaction.
      Parameters:
        `objsetID_DB1` - object of Set ID DB1.

    - #### setDisabledPersonCode

          public void setDisabledPersonCode(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Disabled Person Code. This field indicates person to which the disability information relates in the message.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDisabledPersonCode

          public void setDisabledPersonCode(CWE objdisabledPersonCode)

      Set the Disabled Person Code. This field indicates person to which the disability information relates in the message.
      Parameters:
        `objdisabledPersonCode` - object of Disabled Person Code.

    - #### addDisabledPersonIdentifier

          public void addDisabledPersonIdentifier(java.lang.String strIDNumber,
                                         java.lang.String strCheckDigit,
                                         java.lang.String strCheckDigitScheme,
                                         HD objAssigningAuthority,
                                         java.lang.String strIdentifierTypeCode,
                                         HD objAssigningFacility,
                                         java.lang.String strEffectiveDate,
                                         java.lang.String strExpirationDate,
                                         CWE objAssigningJurisdiction,
                                         CWE objAssigningAgencyOrDepartment,
                                         java.lang.String strSecurityCheck,
                                         java.lang.String strSecurityCheckScheme)

      Set the Disabled Person Identifier. This field specify the identifier (or identifiers) for the person whose disability information is sent on the segment.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority' component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addDisabledPersonIdentifier

          public void addDisabledPersonIdentifier(CX objtempDisabledPersonIdentifier)

      Set the Disabled Person Identifier. This field specify the identifier (or identifiers) for the person whose disability information is sent on the segment.
      Parameters:
        `objtempDisabledPersonIdentifier` - object of Disabled Person Identifier.

    - #### setDisabledPersonIdentifier

          public void setDisabledPersonIdentifier(ISingleCollection<CX> objDisabledPersonIdentifierList)

      Set the Disabled Person Identifier.
      Parameters:
        `objDisabledPersonIdentifierList` - List of Disabled Person Identifier.

    - #### setDisabledIndicator

          public void setDisabledIndicator(java.lang.String strDisabledIndicator)

      Set the Disabled Indicator. This field indicates if the person's visit is a disability visit.
      Parameters:
        `strDisabledIndicator` - Used for DisabledIndicator.

    - #### setDisabledIndicator

          public void setDisabledIndicator(ID objdisabledIndicator)

      Set the Disabled Indicator. This field indicates if the person's visit is a disability visit.
      Parameters:
        `objdisabledIndicator` - object of Disabled Indicator.

    - #### setDisabilityStartDate

          public void setDisabilityStartDate(java.lang.String strDisabilityStartDate)

      Set the Disability Start Date. This field specify the date of the person become disable.
      Parameters:
        `strDisabilityStartDate` - Used for DisabilityStartDate.

    - #### setDisabilityStartDate

          public void setDisabilityStartDate(DT objDisabilityStartDate)

      Set the Disability Start Date. This field specify the date of the person become disable.
      Parameters:
        `objDisabilityStartDate` - object of Disability Start Date.

    - #### setDisabilityEndDate

          public void setDisabilityEndDate(java.lang.String strDisabilityEndDate)

      Set the Disability End Date. This field specify the ending date of the person's disability.
      Parameters:
        `strDisabilityEndDate` - sed for DisabilityEndDate.

    - #### setDisabilityEndDate

          public void setDisabilityEndDate(DT objdisabilityEndDate)

      Set the Disability End Date. This field specify the ending date of the person's disability.
      Parameters:
        `objDisabilityStartDate` - object of Disability End Date.

    - #### setDisabilityReturnToWorkDate

          public void setDisabilityReturnToWorkDate(java.lang.String strDisabilityReturnToWorkDate)

      Set the Disability Return To Work Date. This field indicate the authorize date on which the patient can return to work for a specified disability case.
      Parameters:
        `strDisabilityReturnToWorkDate` - Used for DisabilityReturnToWorkDate.

    - #### setDisabilityReturnToWorkDate

          public void setDisabilityReturnToWorkDate(DT objdisabilityReturnToWorkDate)

      Set the Disability Return To Work Date. This field indicate the authorize date on which the patient can return to work for a specified disability case.
      Parameters:
        `objdisabilityReturnToWorkDate` - object of Disability Return To Work Date.

    - #### setDisabilityUnableToWorkDate

          public void setDisabilityUnableToWorkDate(java.lang.String strDisabilityUnableToWorkDate)

      Set the Disability Unable To Work Date. this field specify the first date in the date span that the patient is unable to work due to disability.
      Parameters:
        `strDisabilityUnableToWorkDate` - Used for DisabilityUnableToWorkDate.

    - #### setDisabilityUnableToWorkDate

          public void setDisabilityUnableToWorkDate(DT objdisabilityUnableToWorkDate)

      Set the Disability Unable To Work Date. this field specify the first date in the date span that the patient is unable to work due to disability.
      Parameters:
        `objdisabilityUnableToWorkDate` - object of Disability Unable To Work Date.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Thrown when Segment Validation Fails.